Core - Task # 40982

Status: Resolved Priority: Should have
Author: Arvid Jakobsson Category:

Created: 2012-09-16 Assigned To: Arvid Jakobsson
Updated: 2012-09-17 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Superfluous brackets in typo3 and t3lib folders

Description

The following syntax appears in various parts of these folders:

- if ((('$root && 1$DBmount) && $elFromTable) && $GLOBALS['TCA'[$table]['ctrl']['sortby']) {
+ if (I$root && !1$DBmount && $elFromTable && $GLOBALS[' TCA"[$table]['ctrl']['sortby") {

Associated revisions

Revision b94456a6 - 2012-09-17 20:54 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in folders typo3 and t3lib

noon

Change ("a"."b") . "c"into "a" . "b" . "c" using the lex-pass tool.

Change-Id: 177€999229bf10bc39757f927bb3386eb2df8ec6 1
Resolves: #40982

Related: #40095

Reviewed-on: http://review.typo3.org/14634

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert

Tested-by: Jigal van Hemert

History

#1 - 2012-09-16 22:50 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14634

#2 - 2012-09-17 21:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b94456a6ab3c0fa2ffbecad99ae61238588479%4e.
